X11::XCB::Connection(3pm)

NAME
X11::XCB::Connection - connection to the X server

METHODS

  atom
Returns a new "X11::XCB::Atom" assigned to this connection.

  color
Returns a new "X11::XCB::Color" assigned to this connection.

  root
Returns a new "X11::XCB::Window" representing the X11 root window.

  input_focus
Returns the X11 input focus (a window ID).

  screens
Returns an arrayref of X11::XCB::Screens.

  get_keymap
Returns intrinsically created array with X11 Keymap:

  [
    undef, # index in array is a key's scan code: 0
    ...
    [0x31, 0x21, 0x31, 0x21, 0x0, 0x0, 0x0], # key symbol codes. scan code 10 represents key '1'
    ...
  ]

  get_query_tree_children
Returns intrinsically created array with children windows identifiers for specified window:

  [ id1, id2, id3 ]